blob: 165f765a83329d3b6995a605b62ba467412c4cd5 [file] [log] [blame]
Tom Rini1a62a722019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Peter Hoyes8b0b5012023-03-10 09:53:02 +00003variables:
4 DEFAULT_TAG: ""
Peter Hoyes74bcbb12023-03-10 09:53:03 +00005 MIRROR_DOCKER: docker.io
Peter Hoyes8b0b5012023-03-10 09:53:02 +00006
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
Joel Stanleycb735172022-08-23 16:18:26 +100011# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
Tom Rinicacc0b22024-03-14 22:36:43 -040013image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20240227-14Mar2024
Tom Rini1a62a722019-06-19 09:25:17 -040014
15# We run some tests in different order, to catch some failures quicker.
16stages:
Tom Rini1a62a722019-06-19 09:25:17 -040017 - testsuites
Tom Rinib29cb052019-07-24 13:09:31 -040018 - test.py
Tom Rini1a62a722019-06-19 09:25:17 -040019 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rini1a62a722019-06-19 09:25:17 -040022 stage: test.py
Tom Rini58b35852023-07-11 22:33:03 -040023 retry: 2 # QEMU may be too slow, etc.
Andrejs Cainikovs399f7392023-09-13 16:15:36 +020024 rules:
25 - when: always
Tom Rini1a62a722019-06-19 09:25:17 -040026 before_script:
27 # Clone uboot-test-hooks
Tom Rinibd181a22022-11-21 12:52:40 -050028 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini85ae52b2021-02-24 17:05:04 -050029 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Tom Rini1a62a722019-06-19 09:25:17 -040030 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
31 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini28a51232019-10-04 12:12:54 -040032 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
33 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Meng49fb28a2020-03-28 07:25:29 -070034 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Heinrich Schuchardta9666342023-10-25 00:15:43 +020035 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
36 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070037 fi
Bin Meng0e60b3a2021-08-26 23:33:35 +080038 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Heinrich Schuchardta9666342023-10-25 00:15:43 +020039 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
40 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070041 fi
Tom Rinib29cb052019-07-24 13:09:31 -040042
Tom Rini1a62a722019-06-19 09:25:17 -040043 after_script:
Marek Vasute5670732023-03-03 02:22:25 +010044 - cp -v /tmp/${TEST_PY_BD}/*.{html,css} .
Heinrich Schuchardt24df1b12019-12-19 13:30:32 +010045 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rini1a62a722019-06-19 09:25:17 -040046 script:
Simon Glassdd5c9542020-03-18 09:42:57 -060047 # If we've been asked to use clang only do one configuration.
Simon Glass4e32fed2020-03-18 09:42:55 -060048 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass1aa168c2022-08-03 12:13:09 -060049 - echo BUILD_ENV ${BUILD_ENV}
Simon Glass9cea4792023-01-15 14:16:00 -070050 - if [ -n "${BUILD_ENV}" ]; then
51 export ${BUILD_ENV};
52 fi
Simon Glass7ec12552020-03-18 09:43:00 -060053 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
54 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020055 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
56 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
57 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020058 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
59 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0e60b3a2021-08-26 23:33:35 +080060 # create sdcard / spi-nor images for sifive unleashed using genimage
61 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
62 mkdir -p root;
63 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
64 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
65 rm -rf tmp;
66 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
67 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
68 rm -rf tmp;
69 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
70 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
71 fi
Simon Glassbfb2a7f2022-01-21 10:23:01 -070072 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
Tom Rini3a79c912024-02-13 09:39:27 -050073 cp /opt/coreboot/coreboot.rom ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
74 /opt/coreboot/cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom remove -n fallback/payload;
75 /opt/coreboot/cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
Simon Glassbfb2a7f2022-01-21 10:23:01 -070076 fi
Tom Rini085b8972019-10-24 11:59:27 -040077 - virtualenv -p /usr/bin/python3 /tmp/venv
78 - . /tmp/venv/bin/activate
79 - pip install -r test/py/requirements.txt
Simon Glass4080d092020-03-18 09:42:56 -060080 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass4e32fed2020-03-18 09:42:55 -060081 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rini1a62a722019-06-19 09:25:17 -040082 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardtf3092472020-07-10 22:04:40 +020083 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass4080d092020-03-18 09:42:56 -060084 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glasscec1e852020-03-18 09:42:59 -060085 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Marek Vasute5670732023-03-03 02:22:25 +010086 artifacts:
87 when: always
88 paths:
89 - "*.html"
90 - "*.css"
91 expire_in: 1 week
Tom Rini1a62a722019-06-19 09:25:17 -040092
Andrejs Cainikovs399f7392023-09-13 16:15:36 +020093.world_build:
Tom Rini1a62a722019-06-19 09:25:17 -040094 stage: world build
Andrejs Cainikovs399f7392023-09-13 16:15:36 +020095 rules:
96 - when: always
97
98build all 32bit ARM platforms:
99 extends: .world_build
Tom Rini1a62a722019-06-19 09:25:17 -0400100 script:
101 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500102 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinif586cda2023-07-22 00:14:46 +0530103 pip install -r tools/buildman/requirements.txt;
Tom Rinid7713ad2022-11-09 19:14:53 -0700104 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600105 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600106 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400107 exit $ret;
108 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400109
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200110build all 64bit ARM platforms:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200111 extends: .world_build
Tom Rini9f7bda12019-07-17 17:51:28 -0400112 script:
Tom Rini26a426a2020-02-11 12:41:14 -0500113 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rinif0db8392019-07-18 07:28:36 -0400114 - . /tmp/venv/bin/activate
Tom Rini9f7bda12019-07-17 17:51:28 -0400115 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500116 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinif586cda2023-07-22 00:14:46 +0530117 pip install -r tools/buildman/requirements.txt;
Tom Rinid7713ad2022-11-09 19:14:53 -0700118 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600119 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600120 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400121 exit $ret;
122 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400123
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200124build all PowerPC platforms:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200125 extends: .world_build
Tom Rini9f7bda12019-07-17 17:51:28 -0400126 script:
127 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500128 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassdd5c9542020-03-18 09:42:57 -0600129 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
130 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600131 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400132 exit $ret;
133 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400134
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200135build all other platforms:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200136 extends: .world_build
Tom Rini9f7bda12019-07-17 17:51:28 -0400137 script:
138 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500139 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -0700140 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600141 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600142 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400143 exit $ret;
144 fi;
Tom Rini1a62a722019-06-19 09:25:17 -0400145
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200146.testsuites:
Tom Rinic1a7de52021-12-14 13:36:41 -0500147 stage: testsuites
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200148 rules:
149 - when: always
150
151check for new CONFIG symbols outside Kconfig:
152 extends: .testsuites
Tom Rinic1a7de52021-12-14 13:36:41 -0500153 script:
Tom Rinibb9b9c12022-12-04 10:14:15 -0500154 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
155 # If grep succeeds and finds a match the test fails as we should
156 # have no matches.
157 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rinia03efb62023-01-10 11:19:46 -0500158 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
Sumit Garg8f31c852024-02-22 15:05:57 +0530159 :^include/linux/kconfig.h :^tools/ :^dts/upstream/ &&
160 exit 1 || exit 0
Tom Rinic1a7de52021-12-14 13:36:41 -0500161
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100162# build documentation
163docs:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200164 extends: .testsuites
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100165 script:
Heinrich Schuchardt836049d2021-01-25 22:06:25 +0100166 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
167 - . /tmp/venvhtml/bin/activate
168 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardt8a6414d2023-05-02 05:04:11 +0200169 - make htmldocs KDOC_WERROR=1
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100170 - make infodocs
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100171
Tom Rini1a62a722019-06-19 09:25:17 -0400172# ensure all configs have MAINTAINERS entries
173Check for configs without MAINTAINERS entry:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200174 extends: .testsuites
Tom Rini1a62a722019-06-19 09:25:17 -0400175 script:
Tom Rinid6b32972023-10-23 11:37:47 -0400176 - ./tools/buildman/buildman --maintainer-check
Tom Rini1a62a722019-06-19 09:25:17 -0400177
178# Ensure host tools build
Tom Rini562ed112023-08-20 13:31:28 -0400179Build tools-only and envtools:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200180 extends: .testsuites
Tom Rini1a62a722019-06-19 09:25:17 -0400181 script:
Tom Rini562ed112023-08-20 13:31:28 -0400182 - make tools-only_config tools-only -j$(nproc);
183 make mrproper;
184 make tools-only_config envtools -j$(nproc)
Pierre-Jean Texier1f3910d2019-08-26 13:06:18 +0200185
Tom Rini72618332020-03-11 18:11:15 -0400186Run binman, buildman, dtoc, Kconfig and patman testsuites:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200187 extends: .testsuites
Tom Rini1a62a722019-06-19 09:25:17 -0400188 script:
Tom Rinid7ae9322019-08-12 10:09:08 -0400189 - git config --global user.name "GitLab CI Runner";
190 git config --global user.email trini@konsulko.com;
Tom Rinib6d4e082022-08-09 21:08:54 -0400191 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7ae9322019-08-12 10:09:08 -0400192 export USER=gitlab;
Tom Rini26a426a2020-02-11 12:41:14 -0500193 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rinid7ae9322019-08-12 10:09:08 -0400194 . /tmp/venv/bin/activate;
Tom Rini38229b52021-02-26 07:52:29 -0500195 pip install -r test/py/requirements.txt;
Tom Rinif586cda2023-07-22 00:14:46 +0530196 pip install -r tools/buildman/requirements.txt;
Tom Rini48f792e2023-08-10 12:52:24 -0400197 export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only;
Tom Rinid7ae9322019-08-12 10:09:08 -0400198 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
199 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinib6d4e082022-08-09 21:08:54 -0400200 set +e;
Simon Glass6c914e42021-03-15 17:25:34 +1300201 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini48f792e2023-08-10 12:52:24 -0400202 --board tools-only;
Tom Rinib6d4e082022-08-09 21:08:54 -0400203 set -e;
Tom Rinid7ae9322019-08-12 10:09:08 -0400204 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
205 ./tools/buildman/buildman -t;
206 ./tools/dtoc/dtoc -t;
Simon Glass6bb74de2020-07-05 21:41:55 -0600207 ./tools/patman/patman test;
Tom Rini72618332020-03-11 18:11:15 -0400208 make testconfig
Tom Rini1a62a722019-06-19 09:25:17 -0400209
Simon Glass642e51a2022-02-11 13:23:26 -0700210# Check for any pylint regressions
211Run pylint:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200212 extends: .testsuites
Simon Glass642e51a2022-02-11 13:23:26 -0700213 script:
Tom Rinib6d4e082022-08-09 21:08:54 -0400214 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glass642e51a2022-02-11 13:23:26 -0700215 - pip install -r test/py/requirements.txt
Tom Rinif586cda2023-07-22 00:14:46 +0530216 - pip install -r tools/buildman/requirements.txt
Tom Rinie47bbf72022-03-25 08:19:09 -0400217 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glass642e51a2022-02-11 13:23:26 -0700218 - export PATH=${PATH}:~/.local/bin
219 - echo "[MASTER]" >> .pylintrc
220 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
Tom Rini48f792e2023-08-10 12:52:24 -0400221 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only
Tom Rinib6d4e082022-08-09 21:08:54 -0400222 - set +e
Simon Glass642e51a2022-02-11 13:23:26 -0700223 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini48f792e2023-08-10 12:52:24 -0400224 --board tools-only
Tom Rinib6d4e082022-08-09 21:08:54 -0400225 - set -e
Simon Glass642e51a2022-02-11 13:23:26 -0700226 - pylint --version
227 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
228 - make pylint_err
229
Simon Glass441a3d02023-02-13 08:56:39 -0700230# Check for pre-schema driver model tags
231Check for pre-schema tags:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200232 extends: .testsuites
Simon Glass441a3d02023-02-13 08:56:39 -0700233 script:
234 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
235 # If grep succeeds and finds a match the test fails as we should
236 # have no matches.
237 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
238
Simon Glassc21a5282023-02-23 18:18:24 -0700239# Check we can package the Python tools
240Check packing of Python tools:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200241 extends: .testsuites
Simon Glassc21a5282023-02-23 18:18:24 -0700242 script:
243 - make pip
244
Tom Rini1a62a722019-06-19 09:25:17 -0400245# Test sandbox with test.py
246sandbox test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400247 variables:
248 TEST_PY_BD: "sandbox"
Tom Rini1a62a722019-06-19 09:25:17 -0400249 <<: *buildman_and_testpy_dfn
250
Tom Rini0219d012019-11-06 19:30:47 -0500251sandbox with clang test.py:
Tom Rini0219d012019-11-06 19:30:47 -0500252 variables:
253 TEST_PY_BD: "sandbox"
Tom Rini96afd8a2024-03-10 15:59:28 -0400254 OVERRIDE: "-O clang-17"
Tom Rini0219d012019-11-06 19:30:47 -0500255 <<: *buildman_and_testpy_dfn
256
Marek Vasutc807bdd2023-09-01 10:48:10 +0200257sandbox64 test.py:
258 variables:
259 TEST_PY_BD: "sandbox64"
260 <<: *buildman_and_testpy_dfn
261
262sandbox64 with clang test.py:
263 variables:
264 TEST_PY_BD: "sandbox64"
Tom Rini96afd8a2024-03-10 15:59:28 -0400265 OVERRIDE: "-O clang-17"
Marek Vasutc807bdd2023-09-01 10:48:10 +0200266 <<: *buildman_and_testpy_dfn
267
Tom Rini1a62a722019-06-19 09:25:17 -0400268sandbox_spl test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400269 variables:
270 TEST_PY_BD: "sandbox_spl"
Simon Glassafb26ba2020-10-25 20:38:36 -0600271 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rini1a62a722019-06-19 09:25:17 -0400272 <<: *buildman_and_testpy_dfn
273
Simon Glass6c914e42021-03-15 17:25:34 +1300274sandbox_noinst_test.py:
Simon Glass6c914e42021-03-15 17:25:34 +1300275 variables:
276 TEST_PY_BD: "sandbox_noinst"
277 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
278 <<: *buildman_and_testpy_dfn
279
Sean Andersonb93cc1e2023-10-14 16:47:59 -0400280sandbox_noinst with LOAD_FIT_FULL test.py:
281 variables:
282 TEST_PY_BD: "sandbox_noinst"
283 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
284 OVERRIDE: "-a CONFIG_SPL_LOAD_FIT_FULL=y"
285 <<: *buildman_and_testpy_dfn
286
Simon Glassa31eff32022-04-30 00:56:57 -0600287sandbox_vpl test.py:
288 variables:
289 TEST_PY_BD: "sandbox_vpl"
Simon Glass8b609872023-04-02 14:01:26 +1200290 TEST_PY_TEST_SPEC: "vpl or test_spl"
Simon Glassa31eff32022-04-30 00:56:57 -0600291 <<: *buildman_and_testpy_dfn
292
Simon Glass9cea4792023-01-15 14:16:00 -0700293# Enable tracing and disable LTO, to ensure functions are not elided
294sandbox trace_test.py:
295 variables:
296 TEST_PY_BD: "sandbox"
297 BUILD_ENV: "FTRACE=1 NO_LTO=1"
298 TEST_PY_TEST_SPEC: "trace"
Sughosh Ganu61cad8d2023-08-22 23:10:02 +0530299 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000 -a CONFIG_TRACE_BUFFER_SIZE=0x02000000"
Simon Glass9cea4792023-01-15 14:16:00 -0700300 <<: *buildman_and_testpy_dfn
301
Tom Rini699c0b92019-07-17 16:06:57 -0400302evb-ast2500 test.py:
Tom Rini699c0b92019-07-17 16:06:57 -0400303 variables:
304 TEST_PY_BD: "evb-ast2500"
305 TEST_PY_ID: "--id qemu"
Tom Rini699c0b92019-07-17 16:06:57 -0400306 <<: *buildman_and_testpy_dfn
307
Joel Stanleyb24087a2022-06-29 16:35:25 +0930308evb-ast2600 test.py:
309 variables:
310 TEST_PY_BD: "evb-ast2600"
311 TEST_PY_ID: "--id qemu"
312 <<: *buildman_and_testpy_dfn
313
Tom Rini1a62a722019-06-19 09:25:17 -0400314sandbox_flattree test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400315 variables:
316 TEST_PY_BD: "sandbox_flattree"
Tom Rini1a62a722019-06-19 09:25:17 -0400317 <<: *buildman_and_testpy_dfn
318
Kristian Amlie15e30102021-09-07 08:37:51 +0200319vexpress_ca9x4 test.py:
320 variables:
321 TEST_PY_BD: "vexpress_ca9x4"
322 TEST_PY_ID: "--id qemu"
323 <<: *buildman_and_testpy_dfn
324
Tom Rini1a62a722019-06-19 09:25:17 -0400325integratorcp_cm926ejs test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400326 variables:
327 TEST_PY_BD: "integratorcp_cm926ejs"
328 TEST_PY_TEST_SPEC: "not sleep"
329 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400330 <<: *buildman_and_testpy_dfn
331
332qemu_arm test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400333 variables:
334 TEST_PY_BD: "qemu_arm"
335 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400336 <<: *buildman_and_testpy_dfn
337
338qemu_arm64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400339 variables:
340 TEST_PY_BD: "qemu_arm64"
341 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400342 <<: *buildman_and_testpy_dfn
343
Marek Vasuta21e1122023-03-23 01:22:41 +0100344qemu_m68k test.py:
345 variables:
346 TEST_PY_BD: "M5208EVBE"
347 TEST_PY_ID: "--id qemu"
348 TEST_PY_TEST_SPEC: "not sleep and not efi"
349 OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
350 <<: *buildman_and_testpy_dfn
351
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200352qemu_malta test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200353 variables:
354 TEST_PY_BD: "malta"
355 TEST_PY_TEST_SPEC: "not sleep and not efi"
356 TEST_PY_ID: "--id qemu"
357 <<: *buildman_and_testpy_dfn
358
359qemu_maltael test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200360 variables:
361 TEST_PY_BD: "maltael"
362 TEST_PY_TEST_SPEC: "not sleep and not efi"
363 TEST_PY_ID: "--id qemu"
364 <<: *buildman_and_testpy_dfn
365
366qemu_malta64 test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200367 variables:
368 TEST_PY_BD: "malta64"
369 TEST_PY_TEST_SPEC: "not sleep and not efi"
370 TEST_PY_ID: "--id qemu"
371 <<: *buildman_and_testpy_dfn
372
373qemu_malta64el test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200374 variables:
375 TEST_PY_BD: "malta64el"
376 TEST_PY_TEST_SPEC: "not sleep and not efi"
377 TEST_PY_ID: "--id qemu"
378 <<: *buildman_and_testpy_dfn
379
Tom Rini1a62a722019-06-19 09:25:17 -0400380qemu-ppce500 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400381 variables:
382 TEST_PY_BD: "qemu-ppce500"
383 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400384 <<: *buildman_and_testpy_dfn
385
Bin Menga379d332020-03-28 07:25:27 -0700386qemu-riscv32 test.py:
Bin Menga379d332020-03-28 07:25:27 -0700387 variables:
388 TEST_PY_BD: "qemu-riscv32"
389 TEST_PY_TEST_SPEC: "not sleep"
Bin Menga379d332020-03-28 07:25:27 -0700390 <<: *buildman_and_testpy_dfn
391
Tom Rini7298d822019-08-02 11:32:37 -0400392qemu-riscv64 test.py:
Tom Rini7298d822019-08-02 11:32:37 -0400393 variables:
394 TEST_PY_BD: "qemu-riscv64"
395 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini7298d822019-08-02 11:32:37 -0400396 <<: *buildman_and_testpy_dfn
397
Bin Meng49fb28a2020-03-28 07:25:29 -0700398qemu-riscv32_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700399 variables:
400 TEST_PY_BD: "qemu-riscv32_spl"
401 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700402 <<: *buildman_and_testpy_dfn
403
404qemu-riscv64_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700405 variables:
406 TEST_PY_BD: "qemu-riscv64_spl"
407 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700408 <<: *buildman_and_testpy_dfn
409
Tom Rini1a62a722019-06-19 09:25:17 -0400410qemu-x86 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400411 variables:
412 TEST_PY_BD: "qemu-x86"
413 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400414 <<: *buildman_and_testpy_dfn
415
416qemu-x86_64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400417 variables:
418 TEST_PY_BD: "qemu-x86_64"
419 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400420 <<: *buildman_and_testpy_dfn
421
Marek Vasut0e125752020-09-14 21:55:58 +0200422r2dplus_i82557c test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200423 variables:
424 TEST_PY_BD: "r2dplus"
425 TEST_PY_ID: "--id i82557c_qemu"
426 <<: *buildman_and_testpy_dfn
427
428r2dplus_pcnet test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200429 variables:
430 TEST_PY_BD: "r2dplus"
431 TEST_PY_ID: "--id pcnet_qemu"
432 <<: *buildman_and_testpy_dfn
433
434r2dplus_rtl8139 test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200435 variables:
436 TEST_PY_BD: "r2dplus"
437 TEST_PY_ID: "--id rtl8139_qemu"
438 <<: *buildman_and_testpy_dfn
439
440r2dplus_tulip test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200441 variables:
442 TEST_PY_BD: "r2dplus"
443 TEST_PY_ID: "--id tulip_qemu"
444 <<: *buildman_and_testpy_dfn
445
Bin Meng0e60b3a2021-08-26 23:33:35 +0800446sifive_unleashed_sdcard test.py:
447 variables:
448 TEST_PY_BD: "sifive_unleashed"
449 TEST_PY_ID: "--id sdcard_qemu"
450 <<: *buildman_and_testpy_dfn
451
452sifive_unleashed_spi-nor test.py:
453 variables:
454 TEST_PY_BD: "sifive_unleashed"
455 TEST_PY_ID: "--id spi-nor_qemu"
456 <<: *buildman_and_testpy_dfn
457
Michal Simekf7c6ee72020-02-13 15:03:29 +0100458xilinx_zynq_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400459 variables:
Michal Simekf7c6ee72020-02-13 15:03:29 +0100460 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rini1a62a722019-06-19 09:25:17 -0400461 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400462 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400463 <<: *buildman_and_testpy_dfn
464
465xilinx_versal_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400466 variables:
467 TEST_PY_BD: "xilinx_versal_virt"
468 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400469 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400470 <<: *buildman_and_testpy_dfn
471
472xtfpga test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400473 variables:
474 TEST_PY_BD: "xtfpga"
475 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400476 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400477 <<: *buildman_and_testpy_dfn
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700478
479coreboot test.py:
480 variables:
481 TEST_PY_BD: "coreboot"
482 TEST_PY_TEST_SPEC: "not sleep"
483 TEST_PY_ID: "--id qemu"
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700484 <<: *buildman_and_testpy_dfn